<?php 
/**
 * guestbook
 * 
 * @package custom 
 * 
 */
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
 $this->need('header.php');
$this->need('sidebar.php');
?>
<article><div id="post" class="post">
<h1 class="title"> <?php $this->title() ?>
</h1>

<div class="meta">
 <time itemprop="datePublished" content="<?php $this->date('Y-m-j  H:i'); ?>"><?php $this->date(); ?>
    </time>
 <?php if (!empty($this->options->sidebarBlock) && in_array('readnum', $this->options->sidebarBlock)): ?><span>read (<?php get_post_view($this) ?>)</span><?php endif;?>  
  <?php if($this->user->hasLogin()):?><code class="notebook">
  <a href="<?php $this->options->adminUrl(); ?>write-page.php?cid=<?php echo $this->cid;?>" class="category-link"  target="_blank">编辑</a></code>
<?php endif;?>
</div>

<div class="content">
  <?php $this->content(); ?>

<div id="reader">
<ul class="fno">
<?php
$period = time() - 999592000; // 時段: 30 天, 單位: 秒
$counts = Typecho_Db::get()->fetchAll(Typecho_Db::get()
->select('COUNT(author) AS cnt','author', 'url', 'mail')
->from('table.comments')
->where('created > ?', $period )
->where('status = ?', 'approved')
->where('type = ?', 'comment')
->where('authorId = ?', '0')
->group('author')
->order('cnt', Typecho_Db::SORT_DESC)
->limit('100')
);
$mostactive = '';
$url = Typecho_Widget::widget('Widget_Options')->gravatars;
foreach ($counts as $count) {
  $avatar = 'https://'.$url.'/'. md5(strtolower($count['mail'])) . '?s=100';
if($count['mail']!=$this->author->mail){
  $c_url = $count['url']; if ( !$c_url ) $c_url = Helper::options()->siteUrl;
  $mostactive .= "<a href='" . $c_url . "' title='" . $count['author'] . " (参与" . $count['cnt'] . "次探讨)' rel='nofollow' target='_blank'><img src='" . $avatar . "' alt='" . $count['author'] . "的照片' class='xavatar' /><small>" . $count['author'] . "</small><i>" . $count['cnt'] . "</i></a>\n";
}
}
echo $mostactive; ?></ul> 
<!--end/.reader/--></div>  
<span style="width: 100%;display:table;"></span>
</div>
</div>
<nav class="page">
  <?php thePrev($this); ?>   <?php theNext($this); ?>

<div class="page-right fenxiang" id="fenxiang">
<a id="qq" class="btn--one two" target="_blank" href="http://connect.qq.com/widget/shareqq/index.html?url=<?php $this->permalink() ?>&title=<?php $this->title() ?>&pics=<?php showThumbnail($this); ?>" data-tooltip="分享至QQ好友"><i class="iconfont icon-qq"></i></a>
<a id="qqkj" class="btn--one two" target="_blank" href="http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url=<?php $this->permalink() ?>&title=<?php $this->title() ?>&site=<?php $this->options->title(); ?>/&pics=<?php showThumbnail($this); ?>" data-tooltip="分享至QQ空间"><i class="iconfont icon-qqkj"></i></a>
<a id="sina" class="btn--one two" target="_blank" href="http://service.weibo.com/share/share.php?url=<?php $this->permalink() ?>/&appkey=<?php $this->options->title(); ?>/&title=<?php $this->title() ?>&pic=<?php showThumbnail($this); ?>" data-tooltip="分享至新浪微博"><i class="iconfont icon-weibo"></i></a>
<a id="google" class="btn--one two" target="_blank" href="https://plus.google.com/share?url=<?php $this->permalink() ?>" data-tooltip="分享至谷歌"><i class="iconfont icon-guge"></i></a>
</div>
 </nav>
<?php $this->need('comments.php');?>

</article>


<?php $this->need('footer.php');?>